{#

/**
 * Array by column
 *
 * @var $anscount
 * @var $cellwidth
 */
 #}
 <!-- Array by column -->

 <!-- answer -->
<table class="{{ coreClass }} table table-bordered table-col-hover" role="presentation" aria-labelledby="ls-question-text-{{ basename }}">
    <colgroup>
        <col class="col-answers" style='width: {{ answerwidth }}%;' />
        {% for i, question in aQuestions %}
            <col
                class="answers-list radio-list {% if i % 2 %}ls-odd{% else %}ls-even{% endif %} {% if question.errormandatory %} ls-error-mandatory has-error{% endif %}"
                style='width: {{ cellwidth }}%;'
                >
        {% endfor %}
    </colgroup>
    <!-- The global concept is hard to understand : must control if aria-labelledby for radiogroup is OK and if we can add aria-hidden here -->
    <tbody>
        <tr class='ls-heading  ls-header'><!-- unsure for ls-heading class here -->
            <td></td>
            {% for i, question in aQuestions %}
                <td id="answertext{{ question.myfname }}" class="answertext control-label {% if question.errormandatory %} has-error error-mandatory{% endif %}">
                    {{ processString(question.question) }}
                </td>
            {% endfor %}
        </tr>
        {% for key, ansrow in labels %}
            <tr id="javatbd{{ basename }}-{{ ansrow.code }}" class="answers-list">
                <td id="label-{{ ansrow.code }}" class="answertext{% if answerwidth==0 %} sr-only{% endif %}">
                    {{ ansrow.answer }}
                </td>
                {% for i, ld in anscode %}
                    <td class="answer_cell_{{ ld }}{% if ansrow.code=="" %} noanswer-item{% endif %} answer-item radio-item">
                            <input
                                type="radio"
                                name="{{ aQuestions[i].myfname }}"
                                value="{{ ansrow.code }}"
                                id="answer{{ aQuestions[i].myfname }}-{{ ansrow.code }}"
                                aria-labelledby="label-{{ ansrow.code }} label-{{ aQuestions[i].myfname }}-{{ ansrow.code }}"
                                {{ checked[ansrow.code][ld] }}
                                 />
                                <label class="ls-label-xs-visibility " for="answer{{ aQuestions[i].myfname }}-{{ ansrow.code }}"  id="label-{{ aQuestions[i].myfname }}-{{ ansrow.code }}">
                                    {{ processString(aQuestions[i].question) }}
                                </label>
                    </td>
                {% endfor %}
            </tr>
        {% endfor %}
    </tbody>
</table>

{% for i, ld in anscode %}
    {{ C.Html.hiddenField("java"~aQuestions[i].myfname,aQuestions[i].myfname_value,({
        'id' : "java"~aQuestions[i].myfname,
        'disabled' : true,
    }))
    }}
{% endfor %}

<!-- end of answer -->
